
#include <cstdio>
#include <vector>
#include <algorithm>

using namespace std;
#define INF 2012345678
int calc_range(vector<int> &p, int &score, int &low, int &high){
	int cur=0,left=0,right=0;
	for(int i=0;i<p.size();i++){
		cur += p[i]*i;
		right += p[i];
	}
	score = INF;
	for(int i=0; i<p.size();i++){
		if(cur < score){
			score = cur;
			low = high = i;
		}else if(cur == score){
			high = i;
		}
		left  += p[i];
		right -= p[i];
		cur += left - right;
	}

}
int main(void){
	int n;
	scanf("%d", &n);
	
	vector<pair<int,int> > pos(n);
	vector<int> px(20001,0),py(20001,0);
	for(int i=0;i<n;i++){
		int x,y;
		scanf(" %d %d",&x, &y);
		x += 10000; y+= 10000;
		px[x]++; py[y]++;
		pos[i] = make_pair(x,y);
	}
	int ans1 = 0;
	int score;
	int low_x, high_x, low_y, high_y;
	calc_range(px, score, low_x, high_x);
	ans1 += score;
	calc_range(py, score, low_y, high_y);
	ans1 += score;
	int ans2 = (high_y-low_y+1)*(high_x-low_x+1);
	for(int i=0;i<n;i++)
		ans2 -=
			low_x <= pos[i].first  && pos[i].first  <= high_x &&
			low_y <= pos[i].second && pos[i].second <= high_y;
	if(ans2 == 0){
		int dx[4] = {0,0,1,-1};
		int dy[4] = {1,-1,0,0};
		ans1 = INF;
		ans2 = 0;
		for(int i=0;i<4;i++){
			int tx = low_x + dx[i];
			int ty = low_y + dy[i];
			score = 0;
			for(int i=0;i<n;i++)
				score += abs(pos[i].first-tx) + abs(pos[i].second-ty);
			if(ans1 > score){
				ans1 = score;
				ans2 = 1;
			}else if(ans1 == score){
				ans2++;
			}
		}
	}		
	printf("%d %d\n", ans1, ans2);
	return 0;
}
